Bug Hunting Session
Bug 91431 - LibreOffice Writer crashes after changing image color and closing the "Color" window
Summary: LibreOffice Writer crashes after changing image color and closing the "Color"...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: bibisected, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-21 14:30 UTC by Gabriel Diosan
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing color change to image and "Color" window about to be closed (148.11 KB, image/png)
2015-05-21 14:30 UTC, Gabriel Diosan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Diosan 2015-05-21 14:30:19 UTC
Created attachment 115768 [details]
Screenshot showing color change to image and "Color" window about to be closed

LibreOffice Writer crashes after changing image color and closing the "Color" window

- Steps to Reproduce -

1. Open LibreOffice Writer
2. Copy an image into the document
3. Select the image and click on "Color" in the Frame Toolbar
4. A new "Color" window opens, change the color of the image (for example red)
5. Close the "Color" window

- Current Behaviour - 

LibreOffice Writer immediately crashes

- Expected Behaviour -

The "Color" window should close with the color change applied to the image.

- Testing Environment - 

OS: Ubuntu Gnome 15.10 daily

LibreOffice: Version: 5.0.0.0.alpha1+
Build ID: 2a886adb500fe481e1ea61573551b19e99c55b8b
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-20_00:31:27
Locale: en-AU (en_AU.UTF-8)

- Attachments -

Screenshot showing color change to image and "Color" window about to be closed
Comment 1 Michael 2015-05-21 19:57:14 UTC
Confirmed

Version: 5.1.0.0.alpha1+
Build ID: 1c9302565aefb5a54b1b7f1478dd6dac724d30ea
Linux 64-bit
Comment 2 Michael 2015-05-21 20:10:12 UTC
Bisected with lo-linux-dbgutil-daily

$ git bisect log
# bad: [c0fbc9b85ec523099dceb0f4f778fb10042efbd7] 2015-05-19: source-hash-158b50763962f66515062300e265839828463efa
# good: [e4b0a61cedc6ac0e65a4a110fd83edd8295f4856] 2014-11-20: source-hash-d273a60bfdbf9bb7623bed38667ec0647753157c
git bisect start 'c0fbc9b85ec523099dceb0f4f778fb10042efbd7' 'e4b0a61cedc6ac0e65a4a110fd83edd8295f4856'
# good: [935d2b58beb350acf647a664a1e97376503b8acb] 2015-02-18: source-hash-dd4bd0ee74fae3d7e3a16e018021da173152571b
git bisect good 935d2b58beb350acf647a664a1e97376503b8acb
# good: [7e67865d7214e3089ffceeaac1ba916f03ac21c0] 2015-04-04: source-hash-b326270fb921b3c2e7fff2da76ebae33adcaef3d
git bisect good 7e67865d7214e3089ffceeaac1ba916f03ac21c0
# good: [9ccc3e23269eebdb13eaa34c7231b7b9f6035c90] 2015-04-26: source-hash-3a96d8ead86dc210085f09076fd270f247442f0a
git bisect good 9ccc3e23269eebdb13eaa34c7231b7b9f6035c90
# bad: [54e8e3308771ab73b9de0e52bdef20826f428fab] 2015-05-07: source-hash-6e78bf76f3a10b43475e1bd801bdcbb9ce62f668
git bisect bad 54e8e3308771ab73b9de0e52bdef20826f428fab
# bad: [54e8e3308771ab73b9de0e52bdef20826f428fab] 2015-05-07: source-hash-6e78bf76f3a10b43475e1bd801bdcbb9ce62f668
git bisect bad 54e8e3308771ab73b9de0e52bdef20826f428fab
# skip: [0f7da7628876aad0c28a577a70d6a660dfa1ab4e] 2015-05-01: source-hash-5a24b94662414fb9470be9c5d9c8b28c6ad42b5b
git bisect skip 0f7da7628876aad0c28a577a70d6a660dfa1ab4e
# bad: [18c79871a724a95167d0cce88a6be2df138dc964] 2015-05-02: source-hash-393c51cee8bc3de5a2a9f4e04161c59e8712f631
git bisect bad 18c79871a724a95167d0cce88a6be2df138dc964
# bad: [06421cdb5e5880c2f8232a04f521a341edf08de3] 2015-04-29: source-hash-2932d2db599c09ecce3faa2d627e9ee4f251183a
git bisect bad 06421cdb5e5880c2f8232a04f521a341edf08de3
# good: [1042e18eb884e17cbdd170a589d3c6db21455c01] 2015-04-27: source-hash-f0edb677f09ad338e22ac3b5d91497b4479e0b3c
git bisect good 1042e18eb884e17cbdd170a589d3c6db21455c01
# good: [af526ee52f2c296e0f17bc385d4001b9322818e7] 2015-04-28: source-hash-4fee05e680217e876210b341f904df9441a0b7cd
git bisect good af526ee52f2c296e0f17bc385d4001b9322818e7
# first bad commit: [06421cdb5e5880c2f8232a04f521a341edf08de3] 2015-04-29: source-hash-2932d2db599c09ecce3faa2d627e9ee4f251183a

Thus it should be in here: http://cgit.freedesktop.org/libreoffice/core/log/?id=2932d2db599c09ecce3faa2d627e9ee4f251183a&qt=range&q=4fee05e680217e876210b341f904df9441a0b7cd..2932d2db599c09ecce3faa2d627e9ee4f251183a
Comment 3 Michael Meeks 2015-05-23 21:22:48 UTC
Fixed; thanks for the report ! =)
Comment 4 Commit Notification 2015-05-23 21:23:24 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=943e2040a7e3dce7c49acafeff7a0e2125c355c8

tdf#91431 - fix post-dispose focus issue in color window.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Gabriel Diosan 2015-05-24 02:50:29 UTC
Tested with

LibreOffice Version: 5.1.0.0.alpha1+
Build ID: 891304bb0ad3af9d8d73f947f25477abf57485a4
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-24_00:37:40
Locale: en-AU (en_AU.UTF-8)

Bug is no longer present. Setting to VERIFIED. Thanks for fixing this Michael. :)
Comment 6 Commit Notification 2015-05-26 13:00:57 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=010eb0628f8f934c3c3d41f4b6338fa8935c95b9&h=libreoffice-5-0

tdf#91431 - fix post-dispose focus issue in color window.

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 09:10:47 UTC Comment hidden (obsolete)